Debian Bug report logs - #572840
gnome-common: automake does not have --force option

version graph

Package: gnome-common; Maintainer for gnome-common is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>; Source for gnome-common is src:gnome-common.

Reported by: "brian m. carlson" <sandals@crustytoothpaste.net>

Date: Sat, 6 Mar 2010 23:21:01 UTC

Severity: important

Tags: fixed-upstream, patch

Found in version gnome-common/2.28.0-1

Fixed in version gnome-common/3.6.0-1

Done: Andreas Henriksson <andreas@fatal.se>

Bug is archived. No further changes may be made.

Forwarded to https://bugzilla.gnome.org/show_bug.cgi?id=612329

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jordi Mallach <jordi@debian.org>:
Bug#572840; Package gnome-common. (Sat, 06 Mar 2010 23:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>:
New Bug report received and forwarded. Copy sent to Jordi Mallach <jordi@debian.org>. (Sat, 06 Mar 2010 23:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gnome-common: automake does not have --force option
Date: Sat, 6 Mar 2010 23:17:29 +0000
[Message part 1 (text/plain, inline)]
Package: gnome-common
Version: 2.28.0-1
Severity: important
Tags: patch
File: /usr/bin/gnome-autogen.sh

Whilst trying to build a copy of yelp from git:

  Running automake-1.11...
  automake-1.11: unrecognized option `--force'.
  automake-1.11: Try `/usr/bin/automake-1.11 --help' for more information.

This causes the build to fail.  automake-1.9 doesn't have the --force
option either.  In fact, AFAICT, automake-1.7 doesn't even have this
option.  I've attached a patch to remove this option, since it doesn't
seem like any reasonably recent version of automake supports it at all.

Transcript:

  lakeview no % automake-1.11 --force
  automake-1.11: unrecognized option `--force'.
  automake-1.11: Try `/usr/bin/automake-1.11 --help' for more information.
  lakeview no % automake-1.9 --force 
  automake-1.9: unrecognized option `--force'
  automake-1.9: Try `/usr/bin/automake-1.9 --help' for more information.
  lakeview no % automake-1.7 --force
  automake-1.7: unrecognized option `--force'
  automake-1.7: Try `/usr/bin/automake-1.7 --help' for more information.


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages gnome-common depends on:
ii  autoconf                      2.65-4     automatic configure script builder
ii  automake                      1:1.11.1-1 A tool for generating GNU Standard
ii  gettext                       0.17-10    GNU Internationalization utilities
ii  intltool                      0.40.6-2   Utility scripts for internationali
ii  libtool                       2.2.6b-2   Generic library support script
ii  pkg-config                    0.22-1     manage compile and link flags for 

gnome-common recommends no packages.

gnome-common suggests no packages.

-- no debconf information

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 713 440 7475 | http://crustytoothpaste.ath.cx/~bmc | My opinion only
OpenPGP: RSA v4 4096b 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[gnome-common.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jordi Mallach <jordi@debian.org>:
Bug#572840; Package gnome-common. (Sun, 07 Mar 2010 00:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>:
Extra info received and forwarded to list. Copy sent to Jordi Mallach <jordi@debian.org>. (Sun, 07 Mar 2010 00:39:05 GMT) Full text and rfc822 format available.

Message #10 received at 572840@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
To: 572840@bugs.debian.org, control@bugs.debian.org
Subject: gnome-common automake invocation
Date: Sun, 7 Mar 2010 00:36:21 +0000
[Message part 1 (text/plain, inline)]
user sandals@crustytoothpaste.ath.cx
usertag 572840 + posix
kthxbye

Apparently, this only happens if the environment variable
POSIXLY_CORRECT is set.  Somehow, automake (probably Perl's Getopt) is
more forgiving if it isn't set, to the extent that it accepts
abbreviated forms.  So, either gnome-autogen.sh needs to specify the
full form, or unset POSIXLY_CORRECT (and if it doesn't want POSIX
behavior, probably _POSIX2_VERSION as well).

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 713 440 7475 | http://crustytoothpaste.ath.cx/~bmc | My opinion only
OpenPGP: RSA v4 4096b 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jordi Mallach <jordi@debian.org>:
Bug#572840; Package gnome-common. (Tue, 09 Mar 2010 18:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to 572840@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Jordi Mallach <jordi@debian.org>. (Tue, 09 Mar 2010 18:39:04 GMT) Full text and rfc822 format available.

Message #15 received at 572840@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>, 572840@bugs.debian.org
Subject: Re: Bug#572840: gnome-common: automake does not have --force option
Date: Tue, 09 Mar 2010 19:38:10 +0100
[Message part 1 (text/plain, inline)]
tag 572840 unreproducible
thanks

Le samedi 06 mars 2010 à 23:17 +0000, brian m. carlson a écrit : 
> Whilst trying to build a copy of yelp from git:
> 
>   Running automake-1.11...
>   automake-1.11: unrecognized option `--force'.
>   automake-1.11: Try `/usr/bin/automake-1.11 --help' for more information.

> lakeview no % automake-1.11 --force
>   automake-1.11: unrecognized option `--force'.
>   automake-1.11: Try `/usr/bin/automake-1.11 --help' for more information.

Sorry but I can’t reproduce this. Here the --force option is recognized
and accepted. Ignored, but accepted. 

-- 
 .''`.      Josselin Mouette
: :' :
`. `'   “I recommend you to learn English in hope that you in
  `-     future understand things”  -- Jörg Schilling
[signature.asc (application/pgp-signature, inline)]

Added tag(s) unreproducible. Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. (Tue, 09 Mar 2010 18:39:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jordi Mallach <jordi@debian.org>:
Bug#572840; Package gnome-common. (Tue, 09 Mar 2010 18:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Emilio Pozuelo Monfort <pochu@debian.org>:
Extra info received and forwarded to list. Copy sent to Jordi Mallach <jordi@debian.org>. (Tue, 09 Mar 2010 18:54:05 GMT) Full text and rfc822 format available.

Message #22 received at 572840@bugs.debian.org (full text, mbox):

From: Emilio Pozuelo Monfort <pochu@debian.org>
To: 572840@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.ath.cx>, control@bugs.debian.org
Subject: Re: Bug#572840: gnome-common: automake does not have --force option
Date: Tue, 09 Mar 2010 19:50:41 +0100
forwarded 572840 https://bugzilla.gnome.org/show_bug.cgi?id=612329
thanks

On 09/03/10 19:38, Josselin Mouette wrote:
> tag 572840 unreproducible
> thanks
> 
> Le samedi 06 mars 2010 à 23:17 +0000, brian m. carlson a écrit : 
>> Whilst trying to build a copy of yelp from git:
>>
>>   Running automake-1.11...
>>   automake-1.11: unrecognized option `--force'.
>>   automake-1.11: Try `/usr/bin/automake-1.11 --help' for more information.
> 
>> lakeview no % automake-1.11 --force
>>   automake-1.11: unrecognized option `--force'.
>>   automake-1.11: Try `/usr/bin/automake-1.11 --help' for more information.
> 
> Sorry but I can’t reproduce this. Here the --force option is recognized
> and accepted. Ignored, but accepted. 

I've just forwarded this upstream. You need to set POSIXLY_CORRECT in the
environment for automake to complain.




Set Bug forwarded-to-address to 'https://bugzilla.gnome.org/show_bug.cgi?id=612329'. Request was from Emilio Pozuelo Monfort <pochu@debian.org> to control@bugs.debian.org. (Tue, 09 Mar 2010 18:54:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jordi Mallach <jordi@debian.org>:
Bug#572840; Package gnome-common. (Tue, 09 Mar 2010 22:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>:
Extra info received and forwarded to list. Copy sent to Jordi Mallach <jordi@debian.org>. (Tue, 09 Mar 2010 22:27:03 GMT) Full text and rfc822 format available.

Message #29 received at 572840@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
To: 572840@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#572840: gnome-common: automake does not have --force option
Date: Tue, 9 Mar 2010 22:25:31 +0000
[Message part 1 (text/plain, inline)]
tags 572840 - unreproducible
kthxbye

On Tue, Mar 09, 2010 at 07:38:10PM +0100, Josselin Mouette wrote:
> Le samedi 06 mars 2010 à 23:17 +0000, brian m. carlson a écrit : 
> > Whilst trying to build a copy of yelp from git:
> > 
> >   Running automake-1.11...
> >   automake-1.11: unrecognized option `--force'.
> >   automake-1.11: Try `/usr/bin/automake-1.11 --help' for more information.
> 
> > lakeview no % automake-1.11 --force
> >   automake-1.11: unrecognized option `--force'.
> >   automake-1.11: Try `/usr/bin/automake-1.11 --help' for more information.
> 
> Sorry but I can’t reproduce this. Here the --force option is recognized
> and accepted. Ignored, but accepted. 

If you'd read my followup, you'd have seen that this occurs because of
POSIXLY_CORRECT.  --force is also not documented in the manual page,
which means that either the man page needs an update, or
gnome-autogen.sh needs not to use it.

As for automake, this is documented in the Perl documentation for
Getopt::Long, so we can assume that if the authors wanted automake to
have different behavior, they would have made sure that that environment
variable wasn't set.

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 713 440 7475 | http://crustytoothpaste.ath.cx/~bmc | My opinion only
OpenPGP: RSA v4 4096b 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Removed tag(s) unreproducible. Request was from "brian m. carlson" <sandals@crustytoothpaste.ath.cx> to control@bugs.debian.org. (Tue, 09 Mar 2010 22:27:09 GMT) Full text and rfc822 format available.

Changed Bug submitter to '"brian m. carlson" <sandals@crustytoothpaste.net>' from '"brian m. carlson" <sandals@crustytoothpaste.ath.cx>' Request was from "brian m. carlson" <sandals@crustytoothpaste.net> to control@bugs.debian.org. (Thu, 03 Feb 2011 20:52:03 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Sat, 04 Aug 2012 19:52:45 GMT) Full text and rfc822 format available.

Reply sent to Andreas Henriksson <andreas@fatal.se>:
You have taken responsibility. (Thu, 29 Aug 2013 12:51:12 GMT) Full text and rfc822 format available.

Notification sent to "brian m. carlson" <sandals@crustytoothpaste.net>:
Bug acknowledged by developer. (Thu, 29 Aug 2013 12:51:12 GMT) Full text and rfc822 format available.

Message #40 received at 572840-done@bugs.debian.org (full text, mbox):

From: Andreas Henriksson <andreas@fatal.se>
To: 572840-done@bugs.debian.org
Subject: gnome-common and automake --force
Date: Thu, 29 Aug 2013 14:42:21 +0200
Package: gnome-common
Version: 3.6.0-1

Using the --force option to automake was dropped upstream in version
3.5.5. Marking this bug as fixed in the first revision that hit the
debian archive (3.6.0-1).

-- 
Andreas Henriksson



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 27 Sep 2013 07:31:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:37:59 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.